DROP PROCEDURE IF EXISTS add_tb_column;
DELIMITER $$
CREATE PROCEDURE add_tb_column()
BEGIN
		DECLARE  CurrentDatabase VARCHAR(100);
SELECT DATABASE() INTO CurrentDatabase;

-- fs_user_course_period 表添加 period_status 字段
IF NOT EXISTS (SELECT 1 FROM information_schema.COLUMNS  WHERE TABLE_SCHEMA=CurrentDatabase
            AND TABLE_NAME='fs_user_course_period'
            AND COLUMN_NAME='period_status' )
		THEN
alter table fs_user_course_period add column period_status int COMMENT '营期状态，1-未开始，2-进行中，3-已结束';
END IF;




--  添加 fs_user_course_count 表的索引，字段为 user_id
IF NOT EXISTS ( SELECT 1 FROM information_schema.STATISTICS WHERE TABLE_SCHEMA = CurrentDatabase
                AND TABLE_NAME = 'fs_user_course_count'
                AND INDEX_NAME = 'user_id_unique' )
        THEN
alter table fs_user_course_count ADD INDEX user_id_unique ( `user_id` ASC );
END IF;

END;

CALL add_tb_column;

DROP PROCEDURE IF EXISTS add_tb_column;
